import mongoose, { Document, Schema } from "mongoose";
import MainModel from "../../../connect/mongoose.ts";
// Interface for TypeScript with PascalCase
export interface wallitems extends Document {
  modeluuid: string;
  modelname: string;
  type: string;
  csgposition: [];
  csgscale: [];
  position: [];
  quaternion: [];
  scale: [];
}

// Define the Mongoose Schema
const wallItemsSchema: Schema = new Schema({
  modeluuid: { type: String, unique: true },
  modelname: { type: String },
  type: { type: String },
  csgposition: { type: Array },
  csgscale: { type: Array },
  position: { type: Array },
  quaternion: { type: Array },
  scale: { type: Array },
});

// export default wallItenmModel;
const wallItenmModel = (db: string) => {
  return MainModel(db, "wallitems", wallItemsSchema, "wallitems");
};
export default wallItenmModel;
