import mongoose, { Document, Schema } from 'mongoose';
import MainModel from '../../../connect/mongoose.ts';
// Interface for TypeScript with PascalCase
export interface environment extends Document {
  userId: string;
  roofVisibility: boolean
  wallVisibility: boolean
}

// Define the Mongoose Schema
const environmentSchema: Schema = new Schema({
  userId: { type: String, unique: true },
  roofVisibility: { type: Boolean, default: false },
  wallVisibility: { type: Boolean, default: false },
  shadowVisibility: { type: Boolean, default: false },
});



// export default environmentModel;
const environmentModel = (db: string) => {
  return MainModel(db, "environments", environmentSchema, "environments")
};
export default environmentModel;