import mongoose, { Document, Schema } from "mongoose";
import MainModel from "../../../connect/mongoose.ts";
const positionSchema = new mongoose.Schema({
  x: { type: Number }, // Optional position fields
  y: { type: Number },
  z: { type: Number },
});

// Define a schema for the individual line
const Vector3 = new mongoose.Schema({
  position: { type: positionSchema, required: false }, // Optional position
  uuid: { type: String, required: false }, // Optional uuid
});

// Define the main schema
const LineSchema = new mongoose.Schema({
  layer: { type: Number, required: true }, // Layer is mandatory
  line: { type: [Vector3], required: true }, // Array of line objects
  type: { type: String, required: false }, // Optional type
});

// export default lineModel;
const lineModel = (db: string) => {
  return MainModel(db, "lines", LineSchema, "lines");
};
export default lineModel;
